Subject: bug#78935: 30.1.90; [PATCH] Let Imenu optionally allow duplicate menu entries

From: Eli Zaretskii <[email-masked]>
Date: Sun, 06 Jul 2025 07:39:40 +0300

> From: Drew Adams <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Sat, 5 Jul 2025 18:26:35 +0000
> 
> >   *** New user option 'quit-window-kill-buffer'.
> >   This option specifies whether 'quit-window' should preferably kill or
> >   bury the buffer shown by the window to quit.
> > 
> > IOW, the fact there's a new option, and a short description what it
> > does.  In the current case, I'd also state the default value.
> > 
> > Thanks.
> 
> Got it.  How to I provide the NEWS blurb?  Do I need to send
> a patch of the 30.1 NEWS file (or the 30.2 pretest 2 NEWS file)?
> 
> Or can I just include the blurb in email here, like this?

It is best if you could download NEWS from the master branch, and
produce a patch for that.  Failing that, the entry itself would do.

> *** New user option 'imenu-allow-duplicate-menu-items-flag'.
> This specifies whether Imenu can include duplicate menu items.
> Duplicate items are allowed by default (option value 't').
> 
> Also, do you prefer that `-flag' be removed from the name?

Yes, please.